%define debug_package %{nil}

%define ver 1.61

%define		_prefix			/usr
%define		_mandir			%{_prefix}/share/man
%define		_bindir			%{_prefix}/bin

Name: xmlclitools
Summary: xml command-line tools
Version: %ver
Release: 2olea
License: GPL
Group: Utilities
Prefix: %{_prefix}
Source0: http://robur.slu.se/jensl/xmlclitools/history/xmlclitools-%{ver}.tar.gz
BuildRoot: %{_tmppath}/xmlclitools
Requires:	glib
BuildRequires:	glib-devel
Requires:	libxml2
BuildRequires:	libxml2-devel


%description
xmlclitools provides four command-line tools for searching, modifying,
and formating XML data. The tools are designed to work in conjunction
with standard *nix utilities such as grep, sort, and shell scripts.

%prep
%setup 

%build
./configure --prefix=$RPM_BUILD_ROOT%{_prefix} --mandir=$RPM_BUILD_ROOT%{_mandir}
 
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/bin
install -d $RPM_BUILD_ROOT%{_mandir}/man1
make \
		install

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-,root,root)
%doc README MANUAL CHANGES diet_build.txt test.xml test.xml2 example.txt
%{_bindir}/xmlngrep
%{_bindir}/xmlgrep
%{_bindir}/xmlfmt
%{_bindir}/xmlmod
%{_mandir}/man1/xmlfmt.1*
%{_mandir}/man1/xmlgrep.1*
%{_mandir}/man1/xmlmod.1*

%changelog
* Thu Dec 28 2006 Ismael Olea <ismael@olea.org> 1.61-1olea
- Updated to 1.61
